/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$(function () {
    var socket = new WebSocket("ws://localhost:8080/Czat/czat");
    socket.onmessage = function(evt) {
       
        var dane = JSON.parse(evt.data);
        var komunikat = dane.komunikat;
        var autor = dane.autor;
        var klasaAutora = "inna";
        if (autor === uzytkownik)
            klasaAutora = "moja";
        else
        if (autor === "SYSTEM")
            klasaAutora = "system";
        $("#kontenerWiadomosci").append('<p class="chmurka '+klasaAutora+'">' + komunikat + '</p>');
    };
    $("#przyciskWyslij").click(function() {
        var pole = $("#poleWiadomosc");
        var txt = pole.val();
        socket.send(txt);
        pole.val('');
    });
    $("#poleWiadomosc").on('keypress', function(evt) {
        if (evt.keyCode === 13)
            $("#przyciskWyslij").trigger('click');
    });
});

